@import url('color-palette.css');

.nav-info-container, .nav-promo-section, .navbar-socialmedia,
.nav-info-section, .nav-auth-container, .nav-auth-data, 
.nav-auth-section {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

.nav-info-container {
    background: var(--bs-primary-700);
    justify-content: space-between;
    width: 100%;
    padding: 25px 38px;
    box-sizing: border-box;
}

.nav-promo-section {
    gap: 30px;
}

.nav-mobile-btn {
    text-decoration: none;
    border: none;
    background: none;
    color: white;
    transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.nav-mobile-btn:hover {
    color: var(--bs-primary-300);
}

.nav-mobile-btn:focus,
.nav-mobile-btn:active {
    outline: none;
    box-shadow: none;
}

.navbar-logotype {
    display: flex;
    align-items: flex-end;
    gap: 10px;
}

.navbar-logotype img {
    height: 50px;
    width: auto;
    display: block;
}

.navbar-socialmedia {
    gap: 8px;
}

.socialmedia-icon {
    background: var(--bs-primary-400);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: white;
    width: 35px;
    height: 35px;
    font-size: 12pt;
    border-radius: 50%;
    transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.socialmedia-icon:hover, .socialmedia-icon:focus, 
.socialmedia-icon:active, .socialmedia-icon:visited {
    text-decoration: none;
    color: white;
}

.nav-info-section {
    gap: 10px;
}

.nav-auth-container {
    gap: 20px;
    align-items: center;
}

.nav-auth-stack {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
}

.nav-auth-info {
    color: var(--bs-primary-300);
    font-size: 12pt;
    font-weight: bold;
}

.nav-auth-data {
    gap: 20px;
}

a.wishlist {
    text-decoration: none !important;
    color: var(--bs-primary-300);
    font-size: 10pt;
    display: flex;
    transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

a.wishlist:focus, a.wishlist:active, a.wishlist:visited {
    text-decoration: none;
    color: var(--bs-primary-300);
}

a.wishlist:hover{
    text-decoration: none;
    color: var(--bs-primary-500);
}

.nav-role-section {
    color: white;
    font-size: 10pt;
}

.nav-auth-section {
    gap: 10px;
}

.nav-auth-btn {
    background: var(--bs-primary-400);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: white;
    width: 120px;
    height: 35px;
    font-size: 11pt;
    border-radius: 8px;
    transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.socialmedia-icon:hover, .nav-auth-btn:hover {
    background: var(--bs-primary-500);
    transform: translateY(-1px);
    box-shadow: 0 6px 12px rgba(0,0,0,0.15);
}

.nav-auth-btn:hover, .nav-auth-btn:focus, 
.nav-auth-btn:active, .nav-auth-btn:visited {
    text-decoration: none;
    color: white;
}

@media (min-width: 1000px) {
    .proof {
        display: none;
    }
}

@media (max-width: 767px) {
    .nav-auth-info {
        font-size: 10pt;
        font-weight: bold;
    }

    .nav-auth-data {
        gap: 8px;
    }

    a.wishlist {
        font-size: 9pt;
    }

    .nav-role-section {
        font-size: 9pt;
    }
}

@media (max-width: 600px) {
    .nav-info-container {
        padding: 10px 10px;
    }

    .nav-promo-section {
        gap: 8px;
    }

    .navbar-logotype {
        gap: 10px;
    }

    .navbar-logotype img {
        height: 40px;
    }

    .navbar-socialmedia {
        display: none;
    }

    .socialmedia-icon {
        width: 25px;
        height: 25px;
        font-size: 9pt;
    }

    .nav-info-section {
        gap: 10px;
    }

    .nav-auth-container {
        gap: 10px;
    }

    .nav-auth-info {
        font-size: 8pt;
        font-weight: bold;
    }

    .nav-auth-data {
        gap: 8px;
    }

    a.wishlist {
        font-size: 8pt;
    }

    .nav-role-section {
        font-size: 8pt;
    }

    .nav-auth-section {
        gap: 5px;
    }

    .nav-auth-btn {
        width: 75px;
        height: 25px;
        font-size: 8pt;
    }
}